#!/bin/sh

gsdlhome=$GSDLHOME
shared="../../../shared"
processing="../../processing"
sources="../../xml-source"

if [ "$gsdlhome" == "" ]; then
    # assume tutorials in a subdir of gsdl
      pushd .. > /dev/null
      gsdlhome=`pwd`
      popd > /dev/null
fi

if [ ! -d build ]; then
  mkdir build
fi
cd build

echo "procesing english version"
if [ ! -d en ]; then
	mkdir en
fi
cd en
mkdir html

cp -r $sources/en/images .
cp $processing/style.css .

echo "User's manual (english)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/User_en.xml > html/User_en_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/User_en.xml > html/User_en_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/User_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (english)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Install_en.xml > html/Install_en_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Install_en.xml > html/Install_en_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Install_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (english)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Develop_en.xml > html/Develop_en_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Develop_en.xml > html/Develop_en_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Develop_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (english)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/en/Paper_en.xml > html/Paper_en_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/en/Paper_en.xml > html/Paper_en_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/en/Paper_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing french version"
if [ ! -d fr ]; then
	mkdir fr
fi
cd fr
mkdir html

cp -r $sources/en/images .
cp $processing/style.css .

echo "User's manual (french)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/User_fr.xml > html/User_fr_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/User_fr.xml > html/User_fr_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/User_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (french)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Install_fr.xml > html/Install_fr_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Install_fr.xml > html/Install_fr_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Install_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (french)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Develop_fr.xml > html/Develop_fr_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Develop_fr.xml > html/Develop_fr_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Develop_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (french)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/fr/Paper_fr.xml > html/Paper_fr_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/fr/Paper_fr.xml > html/Paper_fr_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/fr/Paper_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing spanish version"
if [ ! -d es ]; then
	mkdir es
fi
cd es
mkdir html
cp -r $sources/en/images .
cp $processing/style.css .

echo "User's manual (spanish)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/User_es.xml > html/User_es_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/User_es.xml > html/User_es_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/User_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (spanish)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Install_es.xml > html/Install_es_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Install_es.xml > html/Install_es_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Install_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (spanish)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Develop_es.xml > html/Develop_es_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Develop_es.xml > html/Develop_es_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Develop_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (spanish)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/es/Paper_es.xml > html/Paper_es_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/es/Paper_es.xml > html/Paper_es_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/es/Paper_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing russian version"
if [ ! -d ru ]; then
	mkdir ru
fi
cd ru
mkdir html

cp -r $sources/en/images .
cp $processing/style.css .

echo "User's manual (russian)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/User_ru.xml > html/User_ru_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/User_ru.xml > html/User_ru_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/User_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (russian)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Install_ru.xml > html/Install_ru_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Install_ru.xml > html/Install_ru_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Install_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (russian)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Develop_ru.xml > html/Develop_ru_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Develop_ru.xml > html/Develop_ru_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Develop_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (russian)"
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-index.xsl $sources/ru/Paper_ru.xml > html/Paper_ru_index.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-one-html.xsl $sources/ru/Paper_ru.xml > html/Paper_ru_all.html
java -cp $gsdlhome/gli:$shared ApplyXSLT $processing/xml-to-many-html.xsl $sources/ru/Paper_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..

cd ..
